/*
 * Class WEL_DEVICE_TECHNOLOGY_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_96 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_96 [] = {0xFF01,1551,95,0xFFFF};
static const EIF_TYPE_INDEX egt_2_96 [] = {0xFF01,95,0xFFFF};
static const EIF_TYPE_INDEX egt_3_96 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_96 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_96 [] = {0xFF01,95,0xFFFF};
static const EIF_TYPE_INDEX egt_6_96 [] = {0xFF01,95,0xFFFF};
static const EIF_TYPE_INDEX egt_7_96 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_96 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_96 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_96 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_96 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_96 [] = {0xFF01,95,0xFFFF};


static const struct desc_info desc_96[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_96), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_96), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_96), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_96), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_96), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_96), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_96), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_96), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_96), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_96), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_96), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_96), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xBF /*95*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_96), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1262, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1263, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1264, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1265, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1266, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1267, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1268, 0xFFFFFFFF},
};
void Init96(void)
{
	IDSC(desc_96, 0, 95);
	IDSC(desc_96 + 1, 1, 95);
	IDSC(desc_96 + 32, 768, 95);
}


#ifdef __cplusplus
}
#endif
